
@import url(https://fonts.bunny.net/css?family=andika:400,400i,700,700i);

:root {}

html,
body {
    margin: 0px;
    padding: 0px;
    font-family: 'Andika', sans-serif;
    scrollbar-color: #9966CC #0F0000;
}

body {
    background: linear-gradient(0deg, #666699 0%, #0F0000 50%) fixed;
    color: ghostwhite;
    font-size: calc(.5vw + 1rem);
}

header {
    background: #9966CC;
    padding: 5px 0px;
}

header h1 {
    font-size: .6em;
    margin: 0px;
    text-align: center;
}

p {
    line-height: 1.6;
}

a {
    color: #FFFF99;
}

.center {
    text-align: center;
}

#page {
    background: #0F0000;
    width: calc(65% - 2em);
    padding: 1em;
    margin: auto;
    display: block;
}

/* /// */

#chatbutton {
    position: fixed;
    right: 1em;
    bottom: 1em;
    z-index: 10;
    width: 75px;
    height: 75px;
    border-radius: 50px;
    display: grid;
    justify-content: center;
    align-content: center;
    cursor: pointer;
    background-color: #9966CC;
    background-image: url("img/bitty.png");
    background-repeat: no-repeat;
    background-size: 50%;
    background-position: center;
}

#chatbutton:hover {
    background-color: #CC99FF;
    background-image: url("img/bitty-excited.png");
}

/* /// */

#chatbot {
    aspect-ratio: 8 / 5;
    display: block;
    width: 100%;
    background: url("img/cafe.png");
    background-size: contain;
    overflow: hidden;
}

#bitty {
    z-index: 5;
    position: relative;
    max-height: 100%;
}

.output {
    z-index: 3;
    position: relative;
    top: -38vw;
    left: 45%;
    background: #0F0000;
    border-radius: 20px;
    height: calc(60% - (1em * 2));
    width: calc(50% - (1em * 2));
    padding: 1em;
}

#output {
    height: 100%;
    overflow: auto;
    scrollbar-gutter: stable;
    scrollbar-width: thin;
}

.prompt {
    z-index: 10;
    top: -75%;
    position: relative;
    display: block;
    margin: auto;
    width: 90%;
    background: #FF3399;
    border-radius: 5px;
}

#prompt {
    background: none;
    border: none;
    padding: 1em;
    border-radius: 5px;
    width: calc(100% - (1em * 2));
    text-align: right;
    font-size: .8em;
    color: white;
    font-family: inherit;
}

@media only screen and (max-width: 1200px) {
    #page { width: calc(80% - 2em); }
    .output { top: -49vw; }
}

@media only screen and (max-width: 900px) {
    .prompt { top: -70%; }
}

@media only screen and (max-width: 700px) {
    #page { width: calc(95% - 2em); }
    .output {
        width: 80%;
        diplay: block;
        top: unset;
        left: auto;
        right: auto;
        margin: 1em auto;
        position: relative;
        height: 300px;
    }
    #bitty {
        display: none;
    }
    #chatbot {
        aspect-ratio: unset;
        background-size: cover;
        padding: 1em 0px 3em;
    }
    #chatbutton {
        height: 40px;
        width: 40px;
        right: 0.6em;
        bottom: 0.6em;
    }
}
